import { parseTime } from '@/utils'

// 表格字段
export const tableFields = {
  'id': 'ID',
  'title': '标题',
  'createDate': {
    label: '创建时间',
    filter: (time) => parseTime(time)
  },
}
// 头部筛选字段
export const filterFields = [
  {
    prop: 'title',
    props: {
      placeholder: '请输入关键字'
    }
  }
]

export const createFields = {
  'title': '标题',
  'synopsis': '概要',
  'content': {
    label: '内容',
    type: 'editor',
    props: {
      height: 550
    }
  },
}
