import { parseTime } from '@/utils'
// 表格字段
export const tableFields = {
  // 'id': 'ID',
  'amount': '返还金额',
  'businessInfoName': '机构名称',
  'remark': '备注',
  'createDate': {
    label: '创建时间',
    filter: (time) => parseTime(time)
  },
}
// 表格字段
export const filterFields = [
  {
    type: 'select',
    prop: 'businessInfoId',
    props: {
      placeholder: '请选择机构',
      valueKey: 'id',
      labelKey: 'name',
      options: []
    },
    required: true
  },
]
// 表格字段
export const formFields = {
  'amount': {
    label: '返还金额',
    required: true
  },
  'businessInfoId': {
    type: 'select',
    label: '机构',
    props: {
      valueKey: 'id',
      labelKey: 'name',
      options: []
    },
    required: true
  },
  'remark': '备注',
}
